Subject: Protocol Action: 'Functional Description of Event Notification Filtering' to Proposed Standard

From: The IESG <[email-masked]>
Date: Thu, 31 Mar 2005 10:14:53 -0500

The IESG has approved the following documents:

- 'Functional Description of Event Notification Filtering '
   <draft-ietf-simple-event-filter-funct-05.txt> as a Proposed Standard
- 'An Extensible Markup Language (XML) Based Format for Event Notification 
   Filtering '
   <draft-ietf-simple-filter-format-05.txt> as a Proposed Standard

These documents are products of the SIP for Instant Messaging and Presence 
Leveraging Extensions Working Group. 

The IESG contact persons are Ted Hardie and Scott Hollenbeck.

Technical Summary

The SIP event notification framework describes the usage of the
Session Initiation Protocol (SIP) for subscriptions and notifications
of changes to a state of a resource.  The initial specification did not describe
a mechanism for filtering event notifications.   Filtering is a mechanism for 
defining the preferred notification information to be delivered and for
specifying  triggers that cause that information to be delivered.  In order to 
enable this, a format is needed to enable the subscriber to choose when
notifications are to be sent to it and what they are to contain.
This document presents a solution in the form of an XML document
format.

Working Group Summary
 
The SIMPLE working group came to consensus on this document.  There
were Last Call comments from the IETF community, and there were change
incorporated into the document to reflect the responses to those comment.s
 
Protocol Quality
 
This document was reviewed for the IESG by Ted Hardie.

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf-announce